com.io7m.r2.core

## Class R2TextureCubeStatic

- java.lang.Object
- - com.io7m.r2.core.R2TextureCubeStatic

- All Implemented Interfaces:
    com.io7m.jcanephora.core.JCGLResourceUsableType, R2DeletableType, R2TextureCubeStaticType, R2TextureCubeType, R2TextureCubeUsableType, R2TextureUsableType

      @Generated(value={"Immutables.generator","R2TextureCubeStaticType"})
      public final class R2TextureCubeStatic
      extends Object
      implements R2TextureCubeStaticType

  A simple static cube texture.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `R2TextureCubeStatic.Builder` Builds instances of type `R2TextureCubeStatic`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static R2TextureCubeStatic.Builder` | `builder()` Creates a builder for `R2TextureCubeStatic`.
    `static R2TextureCubeStatic` | `copyOf(R2TextureCubeStaticType instance)` Creates an immutable copy of a `R2TextureCubeStaticType` value.
    `boolean` | `equals(Object another)` This instance is equal to all instances of `R2TextureCubeStatic` that have equal attribute values.
    `int` | `hashCode()` Computes a hash code from attributes: `textureWritable`.
    `static R2TextureCubeStatic` | `of(com.io7m.jcanephora.core.JCGLTextureCubeType textureWritable)` Construct a new immutable `R2TextureCubeStatic` instance.
    `com.io7m.jcanephora.core.JCGLTextureCubeType` | `textureWritable()`
    `String` | `toString()` Prints the immutable value `R2TextureCubeStatic` with attribute values.
    `R2TextureCubeStatic` | `withTextureWritable(com.io7m.jcanephora.core.JCGLTextureCubeType value)` Copy the current immutable object by setting a value for the `textureWritable` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.io7m.r2.core.R2TextureCubeStaticType

      `delete, isDeleted, matchTexture, texture`

- - ### Method Detail

    - #### textureWritable

          public com.io7m.jcanephora.core.JCGLTextureCubeType textureWritable()

      Specified by:
        `textureWritable` in interface `R2TextureCubeStaticType`
      Specified by:
        `textureWritable` in interface `R2TextureCubeType`
      Returns:
        The value of the `textureWritable` attribute

    - #### withTextureWritable

          public final R2TextureCubeStatic withTextureWritable(com.io7m.jcanephora.core.JCGLTextureCubeType value)

      Copy the current immutable object by setting a value for the `textureWritable` attribute. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
      Parameters:
        `value` - A new value for textureWritable
      Returns:
        A modified copy of the `this` object

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `R2TextureCubeStatic` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `textureWritable`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Prints the immutable value `R2TextureCubeStatic` with attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### of

          public static R2TextureCubeStatic of(com.io7m.jcanephora.core.JCGLTextureCubeType textureWritable)

      Construct a new immutable `R2TextureCubeStatic` instance.
      Parameters:
        `textureWritable` - The value for the `textureWritable` attribute
      Returns:
        An immutable R2TextureCubeStatic instance

    - #### copyOf

          public static R2TextureCubeStatic copyOf(R2TextureCubeStaticType instance)

      Creates an immutable copy of a `R2TextureCubeStaticType` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
      Parameters:
        `instance` - The instance to copy
      Returns:
        A copied immutable R2TextureCubeStatic instance

    - #### builder

          public static R2TextureCubeStatic.Builder builder()

      Creates a builder for `R2TextureCubeStatic`.
      Returns:
        A new R2TextureCubeStatic builder

Copyright © 2017 <code@io7m.com> http://io7m.com